<div class="offer-list">
  <layout-card-container
    [designClass]="CARD_CONTAINER_DESIGN_CLASS.ALTERNATIVE"
  >
    <div
      class="offer-list__container"
      *ngIf="!(isLoadingOffers$ | async); else loading"
    >
      <div class="header-container">
        <div></div>
        <p class="header-container__title">
          {{ "MERCHANT_MANAGER.NEW_GROUP.OFFERS.OFFER_CARD.OFFER" | translate }}
        </p>
        <p class="header-container__title">
          {{
            "MERCHANT_MANAGER.NEW_GROUP.OFFERS.OFFER_CARD.COMMISSIONS"
              | translate
          }}
        </p>
        <p class="header-container__title">
          {{ "MERCHANT_MANAGER.NEW_GROUP.OFFERS.OFFER_CARD.TAXES" | translate }}
        </p>
      </div>
      <form [formGroup]="form">
        <div
          formArrayName="offers"
          *ngFor="
            let item of productOfferListItemFromOffers$ | async;
            index as i
          "
        >
          <div [formGroupName]="i">
            <layout-product-offer-list-item
              formControlName="value"
              [id]="i"
              [productOfferListItem]="item"
              [tax]="(project$ | async)?.default_tax_value"
              [canEdit]="true"
              [hasCheck]="true"
              [isChecked]="!!offers.at(i).value?.value"
              [showDetails]="true"
              [amountLabel]="
                'MERCHANT_MANAGER.NEW_GROUP.OFFERS.OFFER_CARD.ITEM.AMOUNT'
                  | translate
              "
              [numberOfInstallmentsLabel]="
                'MERCHANT_MANAGER.NEW_GROUP.OFFERS.OFFER_CARD.ITEM.NUMBER_OF_INSTALLMENTS'
                  | translate
              "
            >
            </layout-product-offer-list-item>
          </div>
        </div>
      </form>
    </div>
  </layout-card-container>

  <div class="offer-list__buttons">
    <mo-button
      [text]="'MERCHANT_MANAGER.NEW_GROUP.OFFERS.BTN_CANCEL' | translate"
      [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [routerLink]="urlMerchantGroup"
      (click)="onCancel()"
    >
    </mo-button>
    <mo-button
      [text]="'MERCHANT_MANAGER.NEW_GROUP.OFFERS.BTN_CONTINUE' | translate"
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [isDisabled]="!(enableConfirm$ | async) || form.invalid"
      (click)="onConfirm()"
    >
    </mo-button>
  </div>
</div>

<ng-template #loading>
  <div class="loader-container">
    <layout-skeleton
      *ngFor="let skeleton of skeletons"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
</ng-template>
